SDL_HasEvents(3)

NAME
SDL_HasEvents - Check for the existence of certain event types in the event queue.

SYNOPSIS
#include <SDL3/SDL_events.h>

bool SDL_HasEvents(Uint32 minType, Uint32 maxType);

DESCRIPTION
If you need to check for a single event type, use SDL_HasEvent() instead.

FUNCTION PARAMETERS

minType
    the low end of event type to be queried, inclusive; see SDL_EventType for details.

maxType
    the high end of event type to be queried, inclusive; see SDL_EventType for details.

RETURN VALUE
Returns true if events with type >= minType and <= maxType are present, or false if not.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_HasEvents(3)